<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class CreatedAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('created_at')
            ->label('تاریخ ایجاد')
            ->sortable()
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
